Appearance
Update Project Config
Update an existing project configuration schema. Requires the PROJECT_MANAGEMENT feature flag and ADMIN or MANAGE_PROJECTS permissions.
Parameters
| name * are required parameters | data type | description |
|---|---|---|
projectConfigId* | string | The unique identifier of the project config to update |
body.name | string | Updated display name |
body.description | string | Updated description |
body.fields | array | Updated field definitions |
Return Value
The updated project configuration schema.
Examples
bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/project-config/:projectConfigId" \
-H "Content-Type: application/json" \
-H "Authentication: Bearer ..." \
-d '{"name": "Updated Project Config Name"}'ENDPOINTS
put
/api/{targetPath}/project-config/:projectConfigId